Name:           pmars
Version:        0.9.2
Release:        4%{?dist}
Summary:        Portable corewar system with ICWS'94 extensions

Group:          Amusements/Games
License:        GPLv2+
URL:            http://www.koth.org/pmars/
Source0:        http://downloads.sourceforge.net/corewar/%{name}-%{version}.tar.gz
# Patch to disable stripping of binary in spec file
Patch0:         pmars-0.9.2-nostrip.patch
#Show compiler commands
Patch1:         pmars-0.9.2-CCat.patch
BuildRequires:  libX11-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       xorg-x11-fonts-75dpi

%description
pMARS is a Memory Array Redcode Simulator (MARS) for corewar.

    * portable, run it on your Mac at home or VAX at work
    * free and comes with source
    * core displays for DOS, Mac and UNIX
    * implements a new redcode dialect, ICWS'94, while remaining compatible
      with ICWS'88
    * powerful redcode extensions: multi-line EQUates, FOR/ROF text repetition
    * one of the fastest simulators written in a high level language
    * full-featured, programmable debugger
    * runs the automated tournament "KotH" at http://www.koth.org and
      http://www.ecst.csuchico.edu/~pizza/koth/ and the annual ICWS tournaments

%prep
%setup -q
%patch0 -p0 -b .nostrip
%patch1 -p0 -b .CCat

# Make temporary doc dir
mkdir doc_install
cp -a doc doc_install
rm doc_install/doc/pmars.6


%build
make -C src CFLAGS="%{optflags} -DEXT94 -DXWINGRAPHX -DPERMUTATE"


%install
rm -rf %{buildroot}
install -D -p -m 755 src/pmars %{buildroot}%{_bindir}/pmars
install -D -p -m 644 doc/pmars.6 %{buildroot}%{_mandir}/man6/pmars.6


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog CONTRIB COPYING README config/ doc_install/doc/ warriors/
%{_bindir}/pmars
%{_mandir}/man6/pmars.6.*

%changelog
* Thu May 06 2010 Jon Ciesla <limb@jcomserv.net> - 0.9.2-3
- Moved doc manipulation to after patch application.

* Thu May 06 2010 Jon Ciesla <limb@jcomserv.net> - 0.9.2-3
- Fixed typos, macros, build and installation.

* Fri Apr 30 2010 Jon Ciesla <limb@jcomserv.net> - 0.9.2-2
- Added dep on xorg-x11-fonts-75dpi.
- Culled duplicate man page.

* Thu Apr 29 2010 Jon Ciesla <limb@jcomserv.net> - 0.9.2-1
- First build.
